Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Crossovers/PrinsCrossover.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Crossovers/PrinsCrossover.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Crossovers/PrinsCrossover.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Prins {
   [Item("PrinsCrossover", "An operator which crosses two VRP representations.")]
-  [StorableClass("648F934D-196A-4859-B877-B23933755DB3")]
+  [StorableType("648F934D-196A-4859-B877-B23933755DB3")]
   public abstract class PrinsCrossover : VRPCrossover, IStochasticOperator, IPrinsOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Crossovers/PrinsPermutationCrossover.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Crossovers/PrinsPermutationCrossover.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Crossovers/PrinsPermutationCrossover.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Prins {
   [Item("PrinsPermutationCrossover", "An operator which crosses two VRP representations using a standard permutation operator.  It is implemented as described in Prins, C. (2004). A simple and effective evolutionary algorithm for the vehicle routing problem. Computers & Operations Research, 12:1985-2002.")]
-  [StorableClass("EB5C7B08-E3CB-474C-A5A6-D4C7894A3390")]
+  [StorableType("EB5C7B08-E3CB-474C-A5A6-D4C7894A3390")]
   public sealed class PrinsPermutationCrossover : PrinsCrossover, IPrinsOperator {
     public IValueLookupParameter<IPermutationCrossover> InnerCrossoverParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsExhaustiveLSManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsExhaustiveLSManipulator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsExhaustiveLSManipulator.cs	(revision 14711)
@@ -27,5 +27,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Prins {
   [Item("PrinsExhaustiveLSManipulator", "An operator which manipulates a VRP representation by using the exhaustive Prins local search.  It is implemented as described in Prins, C. (2004). A simple and effective evolutionary algorithm for the vehicle routing problem. Computers & Operations Research, 12:1985-2002.")]
-  [StorableClass("3738F117-C83E-447C-A4C2-6EC21B3CC70F")]
+  [StorableType("3738F117-C83E-447C-A4C2-6EC21B3CC70F")]
   public sealed class PrinsExhaustiveLSManipulator : PrinsLSManipulator {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsLSManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsLSManipulator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsLSManipulator.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Prins {
   [Item("PrinsLSManipulator", "An operator which manipulates a VRP representation by using the Prins local search.  It is implemented as described in Prins, C. (2004). A simple and effective evolutionary algorithm for the vehicle routing problem. Computers & Operations Research, 12:1985-2002.")]
-  [StorableClass("5CED756E-D12E-4EC8-8A1C-58C8A6498B21")]
+  [StorableType("5CED756E-D12E-4EC8-8A1C-58C8A6498B21")]
   public abstract class PrinsLSManipulator : PrinsManipulator, IVRPLocalSearchManipulator {
     public IValueParameter<IntValue> Iterations {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsManipulator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsManipulator.cs	(revision 14711)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Prins {
   [Item("PrinsManipulator", "An operator which manipulates a VRP representation.")]
-  [StorableClass("854A5E8D-37E1-4A4B-B9D5-1E64A3C4EA79")]
+  [StorableType("854A5E8D-37E1-4A4B-B9D5-1E64A3C4EA79")]
   public abstract class PrinsManipulator : VRPManipulator, IStochasticOperator, IPrinsOperator {
     public ILookupParameter<IRandom> RandomParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsPermutationManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsPermutationManipulator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsPermutationManipulator.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Prins {
   [Item("PrinsPermutationManipulator", "An operator which manipulates a VRP representation by using a standard permutation manipulator. It is implemented as described in Prins, C. (2004). A simple and effective evolutionary algorithm for the vehicle routing problem. Computers & Operations Research, 12:1985-2002.")]
-  [StorableClass("DE628A70-5068-4599-A061-4389EB6F27A7")]
+  [StorableType("DE628A70-5068-4599-A061-4389EB6F27A7")]
   public sealed class PrinsPermutationManipulator : PrinsManipulator {
     public IValueLookupParameter<IPermutationManipulator> InnerManipulatorParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsStochasticLSManipulator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsStochasticLSManipulator.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/Manipulators/PrinsStochasticLSManipulator.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Prins {
   [Item("PrinsStochasticLSManipulator", "An operator which manipulates a VRP representation by using the stochastic version of the Prins local search.  It is implemented as described in Prins, C. (2004). A simple and effective evolutionary algorithm for the vehicle routing problem. Computers & Operations Research, 12:1985-2002.")]
-  [StorableClass("3802ADD4-51CB-4CB3-BDD8-C4212ABBEFD3")]
+  [StorableType("3802ADD4-51CB-4CB3-BDD8-C4212ABBEFD3")]
   public sealed class PrinsStochasticLSManipulator : PrinsLSManipulator {
     public IValueParameter<IntValue> SampleSize {
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/PrinsEncoding.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/PrinsEncoding.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Prins/PrinsEncoding.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Prins {
   [Item("PrinsEncoding", "Represents an Prins encoding of VRP solutions. It is implemented as described in Prins, C. (2004). A simple and effective evolutionary algorithm for the vehicle routing problem. Computers & Operations Research, 12:1985-2002.")]
-  [StorableClass("1DA82A7B-2227-4183-8ECA-A766D5A95CFB")]
+  [StorableType("1DA82A7B-2227-4183-8ECA-A766D5A95CFB")]
   public class PrinsEncoding : General.PermutationEncoding {
     #region IVRPEncoding Members
